## rserpooldemo-3.2.5.tar.xz

=== CMakeLists.txt ===
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
#   Copyright (C) 2002-2026 by Thomas Dreibholz
#
#   Authors: Thomas Dreibholz, thomas.dreibholz@gmail.com
#            Sebastian Rohde, rohde@iem.uni-due.de
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(rserpooldemo LANGUAGES CXX)

SET(BUILD_MAJOR "3")
SET(BUILD_MINOR "2")
SET(BUILD_PATCH "5")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS-DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### REQUIREMENTS                                                        ####
#############################################################################

# ====== Qt =================================================================
SET(CMAKE_AUTOMOC ON)
FIND_PACKAGE(QT NAMES Qt6 COMPONENTS Core Network Widgets Xml)
IF (NOT QT_FOUND)
    FIND_PACKAGE(QT NAMES Qt5 REQUIRED COMPONENTS Core Network Widgets Xml)
ENDIF()
MESSAGE("Using Qt version ${QT_VERSION_MAJOR}!")
FIND_PACKAGE(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Network Widgets Xml)


#############################################################################
#### SOURCE DIRECTORIES                                                  ####
#############################################################################

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
#   Copyright (C) 2002-2026 by Thomas Dreibholz
#
#   Authors: Thomas Dreibholz, thomas.dreibholz@gmail.com
#            Sebastian Rohde, rohde@iem.uni-due.de
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

SET(CMAKE_INCLUDE_CURRENT_DIR ON)

#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

ADD_EXECUTABLE(rserpooldemo
   csplistener.cc
   rdconfignode.cc
   rdconfiguration.cc
   rdcontextmenuconfig.cc
   rdgraphicsnode.cc
   rdgraphicsscene.cc
   rdgraphicsview.cc
   rdmainwindow.cc
   rserpooldemo.cc
)

TARGET_LINK_LIBRARIES(rserpooldemo Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Network Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Xml)
INSTALL(TARGETS             rserpooldemo
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES rserpooldemo.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

INSTALL(FILES rserpooldemo.png     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
INSTALL(FILES rserpooldemo.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
INSTALL(FILES rserpooldemo.xml     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)


#############################################################################
#### CONFIGURATION FILES                                                 ####
#############################################################################

INSTALL(PROGRAMS system-info.d/30-rsplib DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-info.d)

INSTALL(PROGRAMS system-maintenance.d/30-rsplib DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-maintenance.d)



#############################################################################
#### SOURCE DIRECTORIES                                                  ####
#############################################################################

ADD_SUBDIRECTORY(background)
ADD_SUBDIRECTORY(graphics)
ADD_SUBDIRECTORY(grub)

ADD_SUBDIRECTORY(local-scenario)
ADD_SUBDIRECTORY(nornet-mec-scenario)

=== freebsd/rserpooldemo/Makefile ===
# Created by: Thomas Dreibholz <thomas.dreibholz@gmail.com>

PORTNAME=	rserpooldemo
DISTVERSION=	3.2.5
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/rserpool/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	RSerPool Demo Tool
WWW=		https://www.nntb.no/~dreibh/rserpool/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

BUILD_DEPENDS=	bash:shells/bash \
		gimp:graphics/gimp3-app \
		gm:graphics/GraphicsMagick \
		exiftool:graphics/p5-Image-ExifTool \
		getopt>=0:misc/getopt \
		noto-sans>=0:x11-fonts/noto-sans
RUN_DEPENDS=	getopt>=0:misc/getopt \
		fractgen:graphics/fractgen \
		rspserver:net/rsplib

USES=		cmake desktop-file-utils gl qt:6 \
		shared-mime-info tar:xz
USE_GL=		gl opengl
USE_QT=         base

CMAKE_ARGS+=	-DCMAKE_INSTALL_MANDIR=${PREFIX}/share/man

.include <bsd.port.mk>

=== src/graphics/CMakeLists.txt ===
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
#   Copyright (C) 2002-2026 by Thomas Dreibholz
#
#   Authors: Thomas Dreibholz, thomas.dreibholz@gmail.com
#            Sebastian Rohde, rohde@iem.uni-due.de
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

#############################################################################
#### GRAPHICS FILES                                                      ####
#############################################################################

FILE(GLOB graphics_files "*.[Jj][Pp][Ee][Gg]" "*.[Jj][Pp][Gg]" "*.[Pp][Nn][Gg]")

INSTALL(FILES ${graphics_files} DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo/graphics)

=== src/local-scenario/CMakeLists.txt ===
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
#   Copyright (C) 2002-2026 by Thomas Dreibholz
#
#   Authors: Thomas Dreibholz, thomas.dreibholz@gmail.com
#            Sebastian Rohde, rohde@iem.uni-due.de
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

#############################################################################
#### SCENARIO FILES                                                      ####
#############################################################################

LIST(APPEND scenario_files
   local-setup.xml
)

LIST(APPEND scenario_programs
   ComponentControl
   LocalScenario.config
   LocalScenario-StartAll
   LocalScenario-StopAll
   RunProgram
)

INSTALL(FILES    ${scenario_files}    DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo/local-scenario)
INSTALL(PROGRAMS ${scenario_programs} DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo/local-scenario)

=== src/nornet-mec-scenario/CMakeLists.txt ===
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
#   Copyright (C) 2002-2026 by Thomas Dreibholz
#
#   Authors: Thomas Dreibholz, thomas.dreibholz@gmail.com
#            Sebastian Rohde, rohde@iem.uni-due.de
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

#############################################################################
#### SCENARIO FILES                                                      ####
#############################################################################

LIST(APPEND scenario_files
   nornet-mec-setup-localonly.xml
   nornet-mec-setup.xml
)

LIST(APPEND scenario_programs
   ComponentControl
   LocalScenario.config
   LocalScenario-StartAll
   LocalScenario-StopAll
   MEC-User.config
   PMC-User.config
   RemoteComponentControl
   RemoteScenario-StartAll
   RemoteScenario-StopAll
   RunProgram
)

INSTALL(FILES    ${scenario_files}    DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo/nornet-mec-scenario)
INSTALL(PROGRAMS ${scenario_programs} DESTINATION ${CMAKE_INSTALL_DATADIR}/rserpooldemo/nornet-mec-scenario)

=== debian/changelog ===
rserpooldemo (3.2.5-1ubuntu1) resolute; urgency=medium

  * New upstream release.
  * Closes: #999549 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 09 Dec 2025 16:47:24 +0100

rserpooldemo (3.2.4-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 21 Nov 2025 11:56:53 +0100

rserpooldemo (3.2.3-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 17:45:30 +0200

rserpooldemo (3.2.2-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 08 Jul 2025 23:09:59 +0200

rserpooldemo (3.2.1-1ubuntu1) oracular; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 05 Jul 2025 16:40:36 +0200

rserpooldemo (3.2.0-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:30:28 +0100

rserpooldemo (3.1.7-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 07 Aug 2024 21:38:34 +0200

rserpooldemo (3.1.6-1ubuntu1) noble; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 08 Jun 2024 13:57:26 +0200

rserpooldemo (3.1.5-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 11 Apr 2024 15:01:33 +0200

rserpooldemo (3.1.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 19 Dec 2023 17:06:49 +0100

rserpooldemo (3.1.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:43 +0100

rserpooldemo (3.1.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 08 Feb 2023 11:45:13 +0100

rserpooldemo (3.1.1-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:04:22 +0200

rserpooldemo (3.1.0-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 22 Aug 2022 20:28:51 +0200

rserpooldemo (3.0.6-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 11:46:11 +0100

rserpooldemo (3.0.5-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 14 Jun 2021 12:43:37 +0200

rserpooldemo (3.0.4-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Dec 2020 12:50:14 +0100

rserpooldemo (3.0.3-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:01:40 +0100

rserpooldemo (3.0.2-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 09 Oct 2020 16:36:56 +0200

rserpooldemo (3.0.1-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 06 Oct 2020 20:50:54 +0200

rserpooldemo (3.0.0-1ubuntu1) focal; urgency=medium

  * New release.
  * debian/control: Updated standards version to 4.5.0.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 05 May 2020 13:16:54 +0200

=== debian/control ===
Source: rserpooldemo
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/rserpool/rserpool/
Vcs-Git: https://github.com/dreibh/rserpooldemo.git
Vcs-Browser: https://github.com/dreibh/rserpooldemo
Build-Depends: cmake,
               debhelper-compat (= 13),
               fonts-dejavu,
               fonts-noto-cjk,
               fonts-noto-extra,
               fonts-noto-hinted,
               ghostscript,
               gimp,
               graphicsmagick,
               gsfonts,
               libgl-dev,
               libimage-exiftool-perl,
               qt6-base-dev | qtbase5-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: rserpooldemo-management
Architecture: all
Depends: acl,
         apt-file,
         bash-completion,
         bridge-utils,
         bwm-ng,
         bzip2,
         chrpath,
         cloud-guest-utils,
         curl,
         dnsutils,
         ethtool,
         fail2ban,
         gdisk,
         git,
         gnupg,
         gpm,
         htop,
         idn,
         iproute2,
         iptables,
         iputils-ping,
         joe,
         jq,
         less,
         make,
         man,
         net-tools,
         netperfmeter,
         nmap,
         openssh-server,
         openssl,
         parallel,
         pwgen,
         python3,
         qt6-linguist | qtbase5-dev,
         qt6-qtbase-devel | qtbase5-dev,
         rsplib-tools,
         rsync,
         subnetcalc,
         sudo,
         tcpdump,
         traceroute,
         tree,
         tsctp,
         tshark,
         unzip,
         uuid,
         virt-what,
         wget,
         zip,
         ${misc:Depends}
Recommends: grub2-common,
            language-pack-de-base,
            language-pack-en-base,
            language-pack-nb-base,
            td-system-configure-grub,
            td-system-tools
Description: Management tools for the RSerPool Demo system
 This metapackage contains basic software for RSerPoolDemo system management.
 The software installed provides a common working environment.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-development
Architecture: all
Depends: autoconf,
         automake,
         bc,
         bison,
         build-essential,
         clang,
         cmake,
         debhelper,
         devscripts,
         distro-info,
         dpkg-dev,
         extra-cmake-modules,
         flex,
         fonts-dejavu,
         fonts-noto,
         fonts-open-sans,
         g++,
         gcc,
         gdb,
         ghostscript,
         git-lfs,
         graphicsmagick,
         gsfonts,
         libboost-all-dev,
         libbz2-dev,
         libc-ares-dev,
         libcurl4-openssl-dev,
         libgeoip-dev,
         libimage-exiftool-perl,
         liblzma-dev,
         libsctp-dev,
         libssl-dev,
         manpages-dev,
         pbuilder,
         pdf2svg,
         python3-distro,
         python3-netifaces,
         python3-pip,
         r-base,
         reprepro,
         shellcheck,
         rserpooldemo-management (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends}
Recommends: qt6-base-dev,
            qt6-l10n-tools,
            ubuntu-dev-tools,
            valgrind,
            yamllint
Description: Development tools for the RSerPool Demo system
 This metapackage contains basic software for RSerPoolDemo development.
 The software installed provides a common working environment.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-desktop
Architecture: all
Depends: firefox | firefox-esr,
         kubuntu-desktop | neon-desktop | kde-standard | deepin-desktop-environment | lubuntu-desktop | ubuntu-desktop,
         rserpooldemo-management (= ${binary:Version}),
         sddm | kdm | lightdm | gdm3,
         ${misc:Depends}
Description: Desktop setup for the RSerPool Demo system
 This package contains the scripts to configure a RSerPoolDemo desktop.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-scenario-cfgfiles
Architecture: all
Depends: rsplib-fgp-cfgfiles,
         ${misc:Depends}
Recommends: rsplib-registrar
Description: Scenario configuration files for the RSerPool Demo system
 This package contains the scenario files for the RSerPoolDemo tool.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

Package: rserpooldemo-tool
# Gimp is not available for S390X:
Architecture: amd64 arm64 armhf ppc64el riscv64
Depends: rserpooldemo-management (>= ${source:Version}),
         rserpooldemo-scenario-cfgfiles (>= ${source:Version}),
         rsplib-fractalpooluser,
         rsplib-registrar,
         rsplib-services,
         rsplib-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fractgen
Description: GUI tool for the RSerPool Demo system
 This package contains the RSerPoolDemo tool.
 .
 See https://www.nntb.no/~dreibh/rserpool/ for details on RSerPool and the
 RSerPoolDemo tool!

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	# NOTE: CMAKE_VERBOSE_MAKEFILE=OFF for reduced log output!
	dh_auto_configure -- -DFLAT_DIRECTORY_STRUCTURE=1 -DBUILD_BOOTSPLASH=1 -DCMAKE_VERBOSE_MAKEFILE=OFF

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog
